public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <ottxor@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/
Date: Fri,  5 Aug 2016 15:19:44 +0000 (UTC)	[thread overview]
Message-ID: <1470410378.59f9a8333c3cee414aba594f1b2d2849349f2f6e.ottxor@gentoo> (raw)

commit:     59f9a8333c3cee414aba594f1b2d2849349f2f6e
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  5 15:14:49 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Fri Aug  5 15:19:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59f9a833

dev-ruby/typhoeus: bring back 0.6.9 (bug #578458)

Package-Manager: portage-2.2.28

 dev-ruby/typhoeus/Manifest              |  1 +
 dev-ruby/typhoeus/typhoeus-0.6.9.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/typhoeus/Manifest b/dev-ruby/typhoeus/Manifest
index 969f7fd..6025506 100644
--- a/dev-ruby/typhoeus/Manifest
+++ b/dev-ruby/typhoeus/Manifest
@@ -1,3 +1,4 @@
+DIST typhoeus-0.6.9.gem 49152 SHA256 5979555fd430ebec72ab1f5630e8f7679979fb21984d8d9dfe3008d4f91794c8 SHA512 5063d3217f35db29d216327b6eed10d6613d018c496935e78aa8e2b10ec21f3372df11fe48155b45387767d5572efa93e74afb0bb9b10782d28e87dead0294a4 WHIRLPOOL a20d25696804d2d444fa6df145360056dd6170ace42a8cab0a84aa425ae7306173331db8ace402f4a1c596925ee8d52702bc91c967f943361a2a852170b03917
 DIST typhoeus-1.0.1.gem 52224 SHA256 a9bee66ddb7ba039690baf4a5b26ba2bac09ec534dc1c923791b23f3fc9baabc SHA512 805aced5843a1a0d62691ddec78be1cb7f8dbc8d5ca630b8448f925eb379d52b6de53e460ccb24af29d834ef2a9f13690efaceb4709b11ffb4e67aac4da26863 WHIRLPOOL 6c161679a4fced598f9312b811575be97a4dd9c50e7e628d0973ec06fe56c045e238be0e1f620e127ab1a303afb70e46bf2d1fbbc0a29f9ab06d42eeb8c7bfb4
 DIST typhoeus-1.0.2.gem 52736 SHA256 88903b95e42285aee59dcd8a32501afde90e5785aeb2bf883300e1bd9955be78 SHA512 0624154c9456f8b1587629f8ad1cfc75a60cf896d7272eecf653ffb35f6769979ac751bc65636d67d3a6339f5a6320398b8ee78ac979f9ba2cbd2d6e44988c0a WHIRLPOOL 2ab10f90e46565ebc59a9c1b20167f53a2ab7b8e330fcb1a18912cf9a5922bb1db7c290a8c272ec3c03e021f239a2c0578329344cea7f7b68e6dc3593c5761e6
 DIST typhoeus-1.1.0.gem 53248 SHA256 7cd206c6e446c5f3f17da7962a3dc656058e254ead7af907da817e7ddaa4bba9 SHA512 5bf65faa69d981e998455e5a82578255bbad9e3f02c26a1d998a91dffb4ba904710869396f9f10c6df8d4d26bd4618e2d3f6aed5069bb1f850bbe558e4609aa1 WHIRLPOOL 8cb9fb900416c381bc72ab6f610c9e74ccd459be6cd1f053d71136b888b4be56693b20b3f0123839688aa7a4c39c16b2a057cdc0912c53c8a6dea22526b83e14

diff --git a/dev-ruby/typhoeus/typhoeus-0.6.9.ebuild b/dev-ruby/typhoeus/typhoeus-0.6.9.ebuild
new file mode 100644
index 0000000..c6f83da
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-0.6.9.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="http://rubygems.org/gems/typhoeus/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ethon-0.7.1"
+
+ruby_add_bdepend "test? ( dev-ruby/json >=dev-ruby/faraday-0.9 >=dev-ruby/sinatra-1.3 )"
+
+all_ruby_prepare() {
+	sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+}


             reply	other threads:[~2016-08-05 15:19 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-08-05 15:19 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-01  8:09 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/ Hans de Graaff
2024-02-20  5:53 Hans de Graaff
2024-02-18  6:59 Hans de Graaff
2023-12-24  8:19 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2022-12-24  6:35 Sam James
2022-12-24  6:35 Sam James
2022-12-24  6:35 Sam James
2022-12-03  7:13 Hans de Graaff
2022-07-30  8:22 Hans de Graaff
2022-03-20 10:04 Hans de Graaff
2021-12-26 17:52 Jakov Smolić
2020-05-10  5:50 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2019-04-11 17:46 Hans de Graaff
2019-02-16 23:52 Robin H. Johnson
2019-02-16 23:52 Robin H. Johnson
2018-11-13  5:34 Hans de Graaff
2018-06-30  9:56 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-03-27 21:38 Aaron Bauman
2017-08-22  4:09 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2016-12-13  6:35 Hans de Graaff
2016-12-13  6:35 Hans de Graaff
2016-07-24  6:42 Hans de Graaff
2016-04-30  5:36 Hans de Graaff
2016-04-30  5:36 Hans de Graaff
2016-04-17 10:38 Manuel Rüger
2016-02-28  6:23 Hans de Graaff
2015-10-14  5:13 Hans de Graaff
2015-10-14  5:13 Hans de Graaff
2015-08-09  5:51 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1470410378.59f9a8333c3cee414aba594f1b2d2849349f2f6e.ottxor@gentoo \
    --to=ottxor@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox